Commit 07c62540 authored by Antoine Mottier's avatar Antoine Mottier
Browse files

Update Maven version, Maven plugins and dependencies

- Update Maven to latest version (3.8.1).
- Update plugins to latest version (except for Jetty as we don't run latest version on our server).
- Set the version for Maven release plugin.
- Update dependencies to latest version (only patch version increase). Don't update Jetty (same motivation as above).
parent bc14bc95
Pipeline #15023 passed with stages
in 3 minutes and 17 seconds
...@@ -8,7 +8,7 @@ stages: ...@@ -8,7 +8,7 @@ stages:
- package - package
- deploy - deploy
image: maven:3.6.3-openjdk-11 image: maven:3.8.1-openjdk-11
variables: variables:
MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository" MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"
......
distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.6.3/apache-maven-3.6.3-bin.zip distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.1/apache-maven-3.8.1-bin.zip
wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar
...@@ -49,18 +49,18 @@ SPDX-License-Identifier: Apache-2.0 ...@@ -49,18 +49,18 @@ SPDX-License-Identifier: Apache-2.0
<!-- Jetty target version (Debian package) is 9.4 <!-- Jetty target version (Debian package) is 9.4
So we need to use Java EE 7 features and Servlet version 3.1 --> So we need to use Java EE 7 features and Servlet version 3.1 -->
<servlet.version>3.1.0</servlet.version> <servlet.version>3.1.0</servlet.version>
<maria.db.jdbc.driver.version>2.7.2</maria.db.jdbc.driver.version> <maria.db.jdbc.driver.version>2.7.3</maria.db.jdbc.driver.version>
<junit.version>5.7.1</junit.version> <junit.version>5.7.2</junit.version>
<icar.json.version>1.0.0</icar.json.version> <icar.json.version>1.0.0</icar.json.version>
<slf4j.version>1.7.30</slf4j.version> <slf4j.version>1.7.32</slf4j.version>
<logback.classic.version>1.2.3</logback.classic.version> <logback.classic.version>1.2.4</logback.classic.version>
<!-- Maven plugins version --> <!-- Maven plugins version -->
<plugin.maven.clean.version>3.1.0</plugin.maven.clean.version> <plugin.maven.clean.version>3.1.0</plugin.maven.clean.version>
<plugin.maven.compiler.version>3.8.1</plugin.maven.compiler.version> <plugin.maven.compiler.version>3.8.1</plugin.maven.compiler.version>
<plugin.maven.install.version>3.0.0-M1</plugin.maven.install.version> <plugin.maven.install.version>3.0.0-M1</plugin.maven.install.version>
<plugin.maven.jar.version>3.2.0</plugin.maven.jar.version> <plugin.maven.jar.version>3.2.0</plugin.maven.jar.version>
<plugin.maven.war.version>3.3.1</plugin.maven.war.version> <plugin.maven.war.version>3.3.1</plugin.maven.war.version>
<plugin.maven.dependency.version>3.1.2</plugin.maven.dependency.version> <plugin.maven.dependency.version>3.2.0</plugin.maven.dependency.version>
<plugin.maven.resources.version>3.2.0</plugin.maven.resources.version> <plugin.maven.resources.version>3.2.0</plugin.maven.resources.version>
<plugin.maven.surefire.version>3.0.0-M5</plugin.maven.surefire.version> <plugin.maven.surefire.version>3.0.0-M5</plugin.maven.surefire.version>
<plugin.maven.failsafe.version>3.0.0-M5</plugin.maven.failsafe.version> <plugin.maven.failsafe.version>3.0.0-M5</plugin.maven.failsafe.version>
...@@ -68,6 +68,7 @@ SPDX-License-Identifier: Apache-2.0 ...@@ -68,6 +68,7 @@ SPDX-License-Identifier: Apache-2.0
<plugin.maven.enforcer.version>3.0.0-M3</plugin.maven.enforcer.version> <plugin.maven.enforcer.version>3.0.0-M3</plugin.maven.enforcer.version>
<plugin.versions.version>2.8.1</plugin.versions.version> <plugin.versions.version>2.8.1</plugin.versions.version>
<plugin.maven.site.version>3.9.1</plugin.maven.site.version> <plugin.maven.site.version>3.9.1</plugin.maven.site.version>
<maven-release-plugin.version>3.0.0-M4</maven-release-plugin.version>
</properties> </properties>
<dependencyManagement> <dependencyManagement>
...@@ -158,6 +159,11 @@ SPDX-License-Identifier: Apache-2.0 ...@@ -158,6 +159,11 @@ SPDX-License-Identifier: Apache-2.0
<artifactId>maven-failsafe-plugin</artifactId> <artifactId>maven-failsafe-plugin</artifactId>
<version>${plugin.maven.failsafe.version}</version> <version>${plugin.maven.failsafe.version}</version>
</plugin> </plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<version>${maven-release-plugin.version}</version>
</plugin>
<plugin> <plugin>
<groupId>org.apache.maven.plugins</groupId> <groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-site-plugin</artifactId> <artifactId>maven-site-plugin</artifactId>
...@@ -181,7 +187,7 @@ SPDX-License-Identifier: Apache-2.0 ...@@ -181,7 +187,7 @@ SPDX-License-Identifier: Apache-2.0
<configuration> <configuration>
<rules> <rules>
<requireMavenVersion> <requireMavenVersion>
<version>3.6.3</version> <version>3.8.1</version>
</requireMavenVersion> </requireMavenVersion>
<requireJavaVersion> <requireJavaVersion>
<version>[11.0,11.99999)</version> <version>[11.0,11.99999)</version>
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment